Package org.globus.ftp.examples

# Class TwoPartyTransfer

java.lang.Object
org.globus.ftp.examples.TwoPartyTransfer

public class TwoPartyTransfer extends Object

## Constructor Summary

Constructors
Constructor
Description
`TwoPartyTransfer(String host, int port, String source, String dest, String direction)`

## Method Summary

Modifier and Type
Method
Description
`void`
`doTransfer()`
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TwoPartyTransfer

public TwoPartyTransfer(String host, int port, String source, String dest, String direction)

## Method Details

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`

### doTransfer

public void doTransfer() throws Exception

Throws:
  `Exception`